package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingItemdiscountActivityCreateRequest struct {
	/*
	   创建活动参数     */
	Param *domain.AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest `json:"param" required:"true" `
}

func (s *AlibabaRetailMarketingItemdiscountActivityCreateRequest) SetParam(v domain.AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest) *AlibabaRetailMarketingItemdiscountActivityCreateRequest {
	s.Param = &v
	return s
}

func (req *AlibabaRetailMarketingItemdiscountActivityCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingItemdiscountActivityCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
